<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RSVP;
use App\Models\GuestBook;

class MainController extends Controller
{
    public function main(Request $request) {
        $rsvp = RSVP::all();
        $guestbook = GuestBook::all();

        $host = $request->getHost();
        if ($host == 'aliffayuna.com') {
            return view('digital-card', compact(['rsvp', 'guestbook']));
        } else if ($host == 'rsvp.aliffayuna.com') {
            return view('rsvp-digital-card');
        } else {
            return view('digital-card', compact(['rsvp', 'guestbook']));
            // return view('rsvp-digital-card');
        }
    }

    public function saveRsvp(Request $request) {
        RSVP::create([
            'name' => $request->name,
            'member' => $request->member,
            'phone' => $request->phone
        ]);

        session()->flash('success', 'Terima kasih kerana sudi menghadirkan diri!');

        return response()->json(['message' => 'Terima kasih kerana sudi menghadirkan diri!']);
    }

    public function saveSpeech(Request $request) {
        GuestBook::create([
            'name' => $request->name,
            'speech' => $request->speech
        ]);

        session()->flash('success', 'Terima kasih atas ucapan anda!');

        return response()->json(['message' => 'Terima kasih atas ucapan anda!']);
    }
}
